# Webcomic

[![Stable tag 5.0.6][img-plugin]][url-plugin]
[![Build status][img-build]][url-build]
[![Coverage grade][img-coverage]][url-climate]
[![Maintainability grade][img-maintainability]][url-climate]
[![Support development][img-support]][url-support]

> Comic publishing power for the web. Turn your WordPress-powered site into a
> comic publishing platform with Webcomic.

Webcomic provides a host of features related to creating, managing, and sharing
comics on the web.

**Comic Management** –
Webcomic organizes comics into collections – custom post types dedicated to a
specific comic series. Publish any number of distinct comic series on a single
WordPress site, each with it's own unique settings. Manage comic media using
WordPress' own media management features.

**Theme Integration** –
Webcomic adds a new section to the Customizer that's all about integrating
comics into your site's theme. The Universal integration method supports most
themes, but methods for integrating with themes built specifically for Webcomic
and themes built for other comic plugins are also available. If none of the
standard integration methods work with your theme you can [use custom actions]
to add comic features right where you want them.

**Powerful Tools** –
Webcomic includes a variety of tools for working with comics and getting comics
up and running on your WordPress-powered site. Use the Generator to
automatically create and publish comics for any number of uploaded media items,
or use the Matcher to match media items with existing comics. Use
collection-specific settings to organize your comics into categories and tags,
customize your comic URL's, and more.

**Unlimited Potential** –
Those are some of Webcomic's standard features, but there are other components
included with Webcomic that provide a variety of new settings, shortcodes,
template tags, and widgets. Take your online comic publishing even further with:

- **Alert**, which adds settings for creating buffer and hiatus email alerts.
  Never forget an update with customizable email alerts.
- **Character**, which allows you to tag character appearances and use
  character-based archives.
- **Commerce**, which adds PayPal-based print selling and donation features.
- **Restrict**, which adds features for restricting access to comics based on
  age or user role.
- **Storyline**, which allows you to organize comics by storyline and use
  storyline-based archives.
- **Transcribe**, which adds comic transcription features for SEO-enhancing
  text alternatives to your comics.
- **Twitter**, which adds settings for updating your Twitter account status
  when publishing comics.

## Installation

Install Webcomic from the [Plugins > Add New] screen by searching for `webcomic`
(the first result should be the one you're looking for) or by [downloading the
plugin archive][url-stable] and uploading it to your site.

One activated, you can choose which components to use on the Settings > Webcomic
screen. If this is a new installation you should see your first comic
collection, Untitled Comic, in the sidebar. You can adjust collection-specific
settings on the Untitled Comic > Settings screen. Most components will add
settings to this screen.

You'll want to visit the Webcomic section of the Customizer to adjust
integration settings for your site theme. The Universal integration method
supports most themes, but methods for integrating with themes built specifically
for Webcomic and themes built for other comic plugins are also available. If
none of the standard integration methods work with your theme you can
[use custom actions] to add comic features right where you want them.

[Plugins > Add New]: https://codex.wordpress.org/Plugins_Add_New_Screen
[use custom actions]: https://github.com/mgsisk/webcomic/wiki/Actions#integration-actions

## Support

All administration screens related to Webcomic include [contextual help] with
[support links]. If you're new to Webcomic you may want to start by reading
[the User Guide].

[contextual help]: https://codex.wordpress.org/Administration_Screens#Help
[support links]: https://github.com/mgsisk/webcomic/blob/master/support.md
[the User Guide]: https://github.com/mgsisk/webcomic/wiki

## Contribute

If you're a friendly and knowledgable Webcomic user, please chime in and help
others out on [the Support Forum], [Discord Server], or [Issue Tracker]. If
you're more technically-inclined, [pull requests] are always welcome.

[the Support Forum]: https://wordpress.org/support/plugin/webcomic
[Discord Server]: https://discord.gg/TNTfzzg
[Issue Tracker]: https://github.com/mgsisk/webcomic/issues
[pull requests]: https://github.com/mgsisk/webcomic/blob/master/contributing.md

## Special Thanks

To everyone that continues to use and [support Webcomic][url-support].

[img-plugin]: https://img.shields.io/wordpress/plugin/v/webcomic.svg
[img-build]: https://img.shields.io/travis/mgsisk/webcomic.svg
[img-coverage]: https://img.shields.io/codeclimate/coverage/mgsisk/webcomic.svg
[img-maintainability]: https://img.shields.io/codeclimate/maintainability/mgsisk/webcomic.svg
[img-support]: https://img.shields.io/badge/support-development-lightgrey.svg

[url-plugin]: https://wordpress.org/plugins/webcomic
[url-build]: https://travis-ci.org/mgsisk/webcomic
[url-climate]: https://codeclimate.com/github/mgsisk/webcomic
[url-support]: https://mgsisk.com#support
